LREALPATH(1)

NAME
lrealpath - print the fully-resolved absolute path of the specified files

SYNOPSIS
lrealpath [-h(elp)] [-f file_list] [-p(ipe)] [-v(erbose)] [file...]

DESCRIPTION
lrealpath prints out the true path of the specified files instead of symlink locations.

OPTIONS

-h  Print help and quit.

-f file_list
    Read the names of files to be processed from the specified file.

-p  Read the names of files to be processed from stdin.

-v  Verbose output. Print the original filename along with the true filename.

NOTES
The -f and -p options can be used simultaneously with filenames specified on the command-line. Note that this program operates very similarly to realpath -e. [The realpath program was added to GNU coreutils 8.15 in 2012.] If are you trying to write highly portable shell scripts, you might consider using realpath instead.

COPYRIGHT
Copyright (C) 2004-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.